### Method

# WebKit2 UserContentFilterStore remove

#### Declaration [src]

    void
    webkit_user_content_filter_store_remove (
      WebKitUserContentFilterStore* store,
      const gchar* identifier,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously remove a content filter given its `identifier`.

When the operation is finished, `callback` will be invoked, which then can use `webkit_user_content_filter_store_remove_finish()` to check whether the removal was successful.

Available since: | 2.24

#### Parameters

`identifier` | `const gchar*`
| A filter identifier.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL` to ignore.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` to call when the removal is completed.
| The argument can be `NULL`.
`user_data` | `gpointer`
| The data to pass to the callback function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.